#import <appkit/appkit.h>
#import "../NEXTVegas/NEXTVegas.h"

/**************************************************************************************
 **************************************************************************************/

struct BaccaratPlayer
{
	id	player;
	id	tieView;
	id	bankView;
	id	playerView;
	id	nameText;
};

struct BaccaratCardPiles
{
	id view;
	id pile;
	id text;
	char *title;
	int total;
};

@interface Baccarat:NVDealer
{
	id	p1TieView;
	id	p2TieView;
	id	p3TieView;
	id	p4TieView;
	id	p1PlayerView;
	id	p2PlayerView;
	id	p3PlayerView;
	id	p4PlayerView;
	id	p1BankerView;
	id	p2BankerView;
	id	p3BankerView;
	id	p4BankerView;
	id	p1NameText;
	id	p2NameText;
	id	p3NameText;
	id	p4NameText;
	
	id	bankerCardView;
	id	bankerTotalText;
	id	bankerText;
	id	playerCardView;
	id	playerTotalText;
	id	playerText;
	id	deckView;
	id	deckPile;
	
	id	dealButton;
	
	id	bankWinText;
	id	playerWinText;
	id	tieText;
	
	id	deckPrefButton;
	
	struct BaccaratPlayer player[MAX_PLAYERS];
	struct BaccaratCardPiles pile[2];
	
	DPSTimedEntry dealTE;
}

- checkPiles;
- deal:sender;
- dealCardToHand:(int)hand;
- enableDealButton;
- getPlayers;
- newDeck:sender;
- runGame;
- totalHand:(int)hand;
- updateWinText:(int)viewToUpdate;

@end
